Subject: Re: Migrate away from vger to GitHub or (on-premise) GitLab?

From: Dragan Simic <[email-masked]>
Date: Fri, 02 Feb 2024 12:13:05 +0100

On 2024-02-02 12:07, Phillip Wood wrote:
> On 01/02/2024 19:00, Dragan Simic wrote:
>> On 2024-02-01 19:36, Hans Meiser wrote:
>> Please keep in mind that editing the git man pages requires very
>> intimate knowledge of the related git source code.  Many times even
>> small changes to the language style can change the meaning and diverge
>> the man pages from the source code, making the man pages useless.
> 
> While there are some aspects of the documentation that require a
> familiarity with the source I don't think that is true in general. If
> someone has a suggestion to improve part of the documentation that
> they found hard to understand we should be encouraging them to
> contribute a patch. There is no doubt that there are places where our
> documentation could be improved and it is not necessary to be a C
> programmer to contribute improvements to it.

Sure, but there has to be someone with intimate knowledge of the git
source code in the entire chain, if you agree, to make sure that 
improving
the readability or style doesn't diverge the man pages from the truth.